## Index

### Interfaces

- ButtonComponent
- Component
- EventTable
- InputComponent
- Properties

### Type aliases

- Children

### Functions

- br
- button
- createComponent
- createElement
- h
- input
- isComponent

## Type aliases

### Children

Children: Behavior<string | number | Component | Array<Component>> | string | Component

- Defined in DOMBuilder.ts:7

## Functions

### br

- br(): Component

- - Defined in DOMBuilder.ts:198

  #### Returns Component

### button

- button(text: string): ButtonComponent

- - Defined in DOMBuilder.ts:182

  #### Parameters

  - ##### text: string

  #### Returns ButtonComponent

### createComponent

- createComponent(tag: string, props: Properties, children: Children): Component

- - Defined in DOMBuilder.ts:63

  #### Parameters

  - ##### tag: string

  - ##### props: Properties

  - ##### children: Children

  #### Returns Component

### createElement

- createElement(tag: string): HTMLElement

- - Defined in DOMBuilder.ts:21

  #### Parameters

  - ##### tag: string

  #### Returns HTMLElement

### h

- h(tag: string, props?: Properties | Children, children?: Children): Component

- - Defined in DOMBuilder.ts:41

  #### Parameters

  - ##### tag: string

  - ##### Optional props: Properties | Children

  - ##### Optional children: Children

  #### Returns Component

### input

- input(): InputComponent

- - Defined in DOMBuilder.ts:163

  #### Returns InputComponent

### isComponent

- isComponent(obj: any): boolean

- - Defined in DOMBuilder.ts:13

  #### Parameters

  - ##### obj: any

  #### Returns boolean

Generated using TypeDoc